<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>VotingMaterialNotificationComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/operation/voting-material/voting-material-notification/voting-material-notification.component.ts</code>
</p>





<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>voting-material-notification</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./voting-material-notification.component.scss</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./voting-material-notification.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#isVotingMaterialCompleteAndConsistent">isVotingMaterialCompleteAndConsistent</a>
                            </li>
                            <li>
                                <a href="#uploadVotingMaterialConfiguration">uploadVotingMaterialConfiguration</a>
                            </li>
                            <li>
                                <a href="#validateVotingMaterial">validateVotingMaterial</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Inputs</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#operation">operation</a>
                            </li>
                            <li>
                                <a href="#operationStatus">operationStatus</a>
                            </li>
                        </ul>
                    </td>
                </tr>




                    <tr>
                        <td class="col-md-4">
                            <h6><b>Accessors</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                    <a href="#userBelongsToOperationManagementEntity">userBelongsToOperationManagementEntity</a>
                                </li>
                                <li>
                                    <a href="#isDeploymentInfoDisplayed">isDeploymentInfoDisplayed</a>
                                </li>
                                <li>
                                    <a href="#isValidationInfoDisplayed">isValidationInfoDisplayed</a>
                                </li>
                                <li>
                                    <a href="#isInvalidationRequestedInfoDisplayed">isInvalidationRequestedInfoDisplayed</a>
                                </li>
                                <li>
                                    <a href="#isUploadButtonShown">isUploadButtonShown</a>
                                </li>
                                <li>
                                    <a href="#isRequestVotingMaterialCreationShown">isRequestVotingMaterialCreationShown</a>
                                </li>
                                <li>
                                    <a href="#isValidateVotingMaterialCreationShown">isValidateVotingMaterialCreationShown</a>
                                </li>
                                <li>
                                    <a href="#inModification">inModification</a>
                                </li>
                                <li>
                                    <a href="#pactLink">pactLink</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(snackBar: MatSnackBar, translateService: TranslateService, operationManagementService: <a href="../injectables/OperationManagementService.html">OperationManagementService</a>, router: <a href="https://angular.io/api/router/Router" target="_blank">Router</a>, authorizationService: <a href="../injectables/AuthorizationService.html">AuthorizationService</a>, dialogService: TdDialogService, operationService: <a href="../injectables/OperationService.html">OperationService</a>, uploadService: <a href="../injectables/UploadService.html">UploadService</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="45" class="link-to-prism">src/app/operation/voting-material/voting-material-notification/voting-material-notification.component.ts:45</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>snackBar</td>
                                                  
                                                        <td>
                                                                    <code>MatSnackBar</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>translateService</td>
                                                  
                                                        <td>
                                                                    <code>TranslateService</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>operationManagementService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/OperationManagementService.html" target="_self" >OperationManagementService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>router</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/router/Router" target="_blank" >Router</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>authorizationService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/AuthorizationService.html" target="_self" >AuthorizationService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>dialogService</td>
                                                  
                                                        <td>
                                                                    <code>TdDialogService</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>operationService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/OperationService.html" target="_self" >OperationService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>uploadService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/UploadService.html" target="_self" >UploadService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    <h3 id="inputs">Inputs</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="operation"></a>
                        <code>operation</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code><a href="../classes/Operation.html" target="_self" >Operation</a></code>

                            </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="44" class="link-to-prism">src/app/operation/voting-material/voting-material-notification/voting-material-notification.component.ts:44</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="operationStatus"></a>
                        <code>operationStatus</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code><a href="../interfaces/OperationStatus.html" target="_self" >OperationStatus</a></code>

                            </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="45" class="link-to-prism">src/app/operation/voting-material/voting-material-notification/voting-material-notification.component.ts:45</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>



    <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isVotingMaterialCompleteAndConsistent"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            isVotingMaterialCompleteAndConsistent
                            </b>
                            <a href="#isVotingMaterialCompleteAndConsistent"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>isVotingMaterialCompleteAndConsistent()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="138" class="link-to-prism">src/app/operation/voting-material/voting-material-notification/voting-material-notification.component.ts:138</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="uploadVotingMaterialConfiguration"></a>
                        <span class="name">
                            <b>
                            uploadVotingMaterialConfiguration
                            </b>
                            <a href="#uploadVotingMaterialConfiguration"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>uploadVotingMaterialConfiguration()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="103" class="link-to-prism">src/app/operation/voting-material/voting-material-notification/voting-material-notification.component.ts:103</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="validateVotingMaterial"></a>
                        <span class="name">
                            <b>
                            validateVotingMaterial
                            </b>
                            <a href="#validateVotingMaterial"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>validateVotingMaterial()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="115" class="link-to-prism">src/app/operation/voting-material/voting-material-notification/voting-material-notification.component.ts:115</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>


    <section>
    <h3 id="accessors">
        Accessors
    </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="userBelongsToOperationManagementEntity"></a>
                        <span class="name"><b>userBelongsToOperationManagementEntity</b><a href="#userBelongsToOperationManagementEntity"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>userBelongsToOperationManagementEntity()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="58" class="link-to-prism">src/app/operation/voting-material/voting-material-notification/voting-material-notification.component.ts:58</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isDeploymentInfoDisplayed"></a>
                        <span class="name"><b>isDeploymentInfoDisplayed</b><a href="#isDeploymentInfoDisplayed"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>isDeploymentInfoDisplayed()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="63" class="link-to-prism">src/app/operation/voting-material/voting-material-notification/voting-material-notification.component.ts:63</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isValidationInfoDisplayed"></a>
                        <span class="name"><b>isValidationInfoDisplayed</b><a href="#isValidationInfoDisplayed"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>isValidationInfoDisplayed()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="69" class="link-to-prism">src/app/operation/voting-material/voting-material-notification/voting-material-notification.component.ts:69</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isInvalidationRequestedInfoDisplayed"></a>
                        <span class="name"><b>isInvalidationRequestedInfoDisplayed</b><a href="#isInvalidationRequestedInfoDisplayed"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>isInvalidationRequestedInfoDisplayed()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="74" class="link-to-prism">src/app/operation/voting-material/voting-material-notification/voting-material-notification.component.ts:74</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isUploadButtonShown"></a>
                        <span class="name"><b>isUploadButtonShown</b><a href="#isUploadButtonShown"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>isUploadButtonShown()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="80" class="link-to-prism">src/app/operation/voting-material/voting-material-notification/voting-material-notification.component.ts:80</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isRequestVotingMaterialCreationShown"></a>
                        <span class="name"><b>isRequestVotingMaterialCreationShown</b><a href="#isRequestVotingMaterialCreationShown"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>isRequestVotingMaterialCreationShown()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="86" class="link-to-prism">src/app/operation/voting-material/voting-material-notification/voting-material-notification.component.ts:86</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isValidateVotingMaterialCreationShown"></a>
                        <span class="name"><b>isValidateVotingMaterialCreationShown</b><a href="#isValidateVotingMaterialCreationShown"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>isValidateVotingMaterialCreationShown()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="90" class="link-to-prism">src/app/operation/voting-material/voting-material-notification/voting-material-notification.component.ts:90</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="inModification"></a>
                        <span class="name"><b>inModification</b><a href="#inModification"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>inModification()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="94" class="link-to-prism">src/app/operation/voting-material/voting-material-notification/voting-material-notification.component.ts:94</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="pactLink"></a>
                        <span class="name"><b>pactLink</b><a href="#pactLink"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>pactLink()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="99" class="link-to-prism">src/app/operation/voting-material/voting-material-notification/voting-material-notification.component.ts:99</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
</section>
</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, Input } from &#x27;@angular/core&#x27;;
import { Operation } from &#x27;../../model/operation&#x27;;
import {
  AVAILABLE_FOR_CREATION, COMPLETE, CREATED, CREATION_FAILED, CREATION_REQUESTED, INVALIDATED, INVALIDATION_REJECTED,
  INVALIDATION_REQUESTED, OperationStatus
} from &#x27;../../model/operation-status&#x27;;
import { OperationManagementService } from &#x27;../../service/operation-managment.service&#x27;;
import { MatSnackBar } from &#x27;@angular/material&#x27;;
import { UploadService } from &#x27;../../../core/service/upload/upload.service&#x27;;
import { TranslateService } from &#x27;@ngx-translate/core&#x27;;
import { AuthorizationService } from &#x27;../../../core/service/http/authorization.service&#x27;;
import { TdDialogService } from &#x27;@covalent/core&#x27;;
import { OperationService } from &#x27;../../service/operation.service&#x27;;
import { Router } from &#x27;@angular/router&#x27;;

@Component({
  selector: &#x27;voting-material-notification&#x27;,
  templateUrl: &#x27;./voting-material-notification.component.html&#x27;,
  styleUrls: [&#x27;./voting-material-notification.component.scss&#x27;]
})
export class VotingMaterialNotificationComponent {

  @Input() operation: Operation;
  @Input() operationStatus: OperationStatus;


  constructor(private snackBar: MatSnackBar,
              private translateService: TranslateService,
              private operationManagementService: OperationManagementService,
              private router: Router,
              private authorizationService: AuthorizationService,
              private dialogService: TdDialogService,
              private operationService: OperationService,
              private uploadService: UploadService) {
  }

  get userBelongsToOperationManagementEntity() {
    return this.operation.managementEntity &#x3D;&#x3D; this.authorizationService.userSnapshot.managementEntity;
  }


  get isDeploymentInfoDisplayed() {
    return this.isVotingMaterialCompleteAndConsistent() &amp;&amp;
           [COMPLETE, AVAILABLE_FOR_CREATION, CREATION_REQUESTED, CREATION_FAILED, INVALIDATED].indexOf(
             this.operationStatus.votingMaterialStatus.state) &gt; -1;
  }

  get isValidationInfoDisplayed() {
    return this.isVotingMaterialCompleteAndConsistent &amp;&amp;
           [CREATED, INVALIDATION_REJECTED].indexOf(this.operationStatus.votingMaterialStatus.state) &gt; -1;
  }

  get isInvalidationRequestedInfoDisplayed() {
    return this.isVotingMaterialCompleteAndConsistent &amp;&amp;
           [INVALIDATION_REQUESTED].indexOf(this.operationStatus.votingMaterialStatus.state) &gt; -1;
  }


  get isUploadButtonShown() {
    return this.isVotingMaterialCompleteAndConsistent &amp;&amp;
           this.authorizationService.hasAtLeastOneRole([&#x27;DEPLOY_VOTING_MATERIAL&#x27;]) &amp;&amp;
           [COMPLETE, CREATION_FAILED, INVALIDATED].indexOf(this.operationStatus.votingMaterialStatus.state) &gt; -1;
  }

  get isRequestVotingMaterialCreationShown() {
    return [AVAILABLE_FOR_CREATION].indexOf(this.operationStatus.votingMaterialStatus.state) &gt; -1;
  }

  get isValidateVotingMaterialCreationShown() {
    return [CREATION_REQUESTED].indexOf(this.operationStatus.votingMaterialStatus.state) &gt; -1;
  }

  get inModification() {
    return [&quot;IN_PARTIAL_MODIFICATION&quot;, &quot;IN_FULL_MODIFICATION&quot;]
             .indexOf(this.operationStatus.configurationStatus.modificationMode) &gt;&#x3D; 0;
  }

  get pactLink() {
    return this.operationStatus.votingMaterialStatus.pactUrl;
  }

  uploadVotingMaterialConfiguration() {
    this.uploadService.exportOperationVotingMaterialConfiguration(this.operation.id).subscribe(
      () &#x3D;&gt; {
        this.snackBar.open(
          this.translateService.instant(&#x27;voting-material.notification.upload-voting-material.success&#x27;), &#x27;&#x27;, {
            duration: 5000
          });
        this.operationManagementService.shouldUpdateStatus();
      }
    );
  }

  validateVotingMaterial() {
    this.dialogService.openConfirm({
      message: this.translateService.instant(&#x27;voting-material.notification.validate-voting-material.validate.dialog&#x27;),
      disableClose: true,
      width: &quot;700px&quot;,
      cancelButton: this.translateService.instant(&#x27;global.actions.cancel&#x27;),
      acceptButton: this.translateService.instant(&#x27;global.actions.validate&#x27;),
    }).afterClosed().subscribe((accept: boolean) &#x3D;&gt; {
      if (accept) {
        this.operationService.validateVotingMaterial(this.operation.id)
          .subscribe(() &#x3D;&gt; {
            this.snackBar.open(
              this.translateService.instant(&#x27;voting-material.notification.validate-voting-material.validate.success&#x27;),
              &#x27;&#x27;,
              {duration: 5000}
            );
            this.operationManagementService.shouldUpdateStatus();
            this.router.navigate([&quot;operations&quot;, this.operation.id, &quot;voting-period&quot;]);
          });
      }
    });
  }

  private isVotingMaterialCompleteAndConsistent() {
    return this.operationStatus.votingMaterialCompleteAndConsistent;
  }

}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;ng-container *ngIf&#x3D;&quot;inModification&quot;&gt;
  &lt;div class&#x3D;&quot;notification notification--configuration-in-modification&quot;&gt;
    &lt;mat-card&gt;
      &lt;mat-card-content fxLayout fxLayoutGap&#x3D;&quot;1rem&quot;&gt;
        {{ &quot;voting-material.notification.info.configuration-in-modification&quot; | translate}}
      &lt;/mat-card-content&gt;
    &lt;/mat-card&gt;
  &lt;/div&gt;
&lt;/ng-container&gt;
&lt;ng-container *ngIf&#x3D;&quot;!inModification&quot;&gt;


  &lt;div *ngIf&#x3D;&quot;operationStatus.consistencyComputationInProgress&quot;
       class&#x3D;&quot;notification notification--consistency-in-progress&quot;&gt;
    &lt;mat-card&gt;
      &lt;mat-card-content fxLayout fxLayoutGap&#x3D;&quot;1rem&quot;&gt;
        &lt;mat-icon&gt;timelapse&lt;/mat-icon&gt;
        &lt;span fxFlexAlign&#x3D;&quot;center&quot;&gt;{{ &quot;voting-material.notification.info.consistency.in-progress&quot; | translate}}&lt;/span&gt;
      &lt;/mat-card-content&gt;
    &lt;/mat-card&gt;
  &lt;/div&gt;

  &lt;div *ngIf&#x3D;&quot;operationStatus.votingMaterialConsistencyErrors.length &gt; 0&quot;
       class&#x3D;&quot;notification notification--consistency-errors&quot;&gt;
    &lt;mat-card&gt;
      &lt;mat-card-content fxLayout fxLayoutGap&#x3D;&quot;2.5rem&quot;&gt;
        &lt;mat-icon class&#x3D;&quot;error-icon&quot;&gt;warning&lt;/mat-icon&gt;
        &lt;div fxLayout&#x3D;&quot;column&quot; fxFlex&#x3D;&quot;1 1 auto&quot;&gt;
          &lt;h2 class&#x3D;&quot;error-title&quot;&gt;{{ &quot;voting-material.notification.info.consistency.errors&quot; | translate}}&lt;/h2&gt;
          &lt;ul&gt;
            &lt;li *ngFor&#x3D;&quot;let error of operationStatus.votingMaterialConsistencyErrors&quot;&gt;
              {{ error.errorKey | translate:error.errorsParameters}}
            &lt;/li&gt;
          &lt;/ul&gt;
        &lt;/div&gt;
      &lt;/mat-card-content&gt;
    &lt;/mat-card&gt;
  &lt;/div&gt;

  &lt;ng-container *ngIf&#x3D;&quot;userBelongsToOperationManagementEntity&quot;&gt;
    &lt;ng-container *roles&#x3D;&quot;[&#x27;DEPLOY_VOTING_MATERIAL&#x27;]&quot;&gt;
      &lt;div *ngIf&#x3D;&quot;isDeploymentInfoDisplayed&quot; class&#x3D;&quot;notification notification--deployment&quot;&gt;
        &lt;mat-card&gt;
          &lt;mat-card-content fxLayout fxLayoutAlign&#x3D;&quot;space-between&quot;&gt;
            &lt;span fxFlexAlign&#x3D;&quot;center&quot; *ngIf&#x3D;&quot;isUploadButtonShown&quot;&gt;{{ &quot;voting-material.notification.upload-voting-material.message&quot; | translate}}&lt;/span&gt;
            &lt;span fxFlexAlign&#x3D;&quot;center&quot; *ngIf&#x3D;&quot;isRequestVotingMaterialCreationShown&quot;&gt;{{ &quot;voting-material.notification.create-voting-material.message&quot; | translate}}&lt;/span&gt;
            &lt;span fxFlexAlign&#x3D;&quot;center&quot; *ngIf&#x3D;&quot;isValidateVotingMaterialCreationShown&quot;&gt;{{ &quot;voting-material.notification.validate-voting-material.message&quot; | translate}}&lt;/span&gt;

            &lt;button *ngIf&#x3D;&quot;isUploadButtonShown&quot;
                    (click)&#x3D;&quot;uploadVotingMaterialConfiguration()&quot;
                    mat-raised-button
                    color&#x3D;&quot;primary&quot;
                    id&#x3D;&quot;deploymentButton&quot;&gt;
              &lt;mat-icon&gt;playlist_add_check&lt;/mat-icon&gt;
              {{ &#x27;voting-material.notification.upload-voting-material.button&#x27; | translate | uppercase }}
            &lt;/button&gt;

            &lt;div class&#x3D;&quot;external-action&quot; *ngIf&#x3D;&quot;isRequestVotingMaterialCreationShown&quot;&gt;
              &lt;div class&#x3D;&quot;action-title section-title&quot;&gt;
                {{ &#x27;voting-material.notification.create-voting-material.title&#x27; | translate }}
              &lt;/div&gt;
              &lt;div class&#x3D;&quot;action-link&quot;&gt;
                &lt;a href&#x3D;&quot;{{pactLink}}&quot; target&#x3D;&quot;pact&quot; id&#x3D;&quot;createLink&quot;&gt;
                  &lt;mat-icon&gt;link&lt;/mat-icon&gt;
                  &lt;span&gt;{{ &#x27;voting-material.notification.create-voting-material.pact-link&#x27; | translate }}&lt;/span&gt;
                &lt;/a&gt;
              &lt;/div&gt;
            &lt;/div&gt;

            &lt;div class&#x3D;&quot;external-action&quot; *ngIf&#x3D;&quot;isValidateVotingMaterialCreationShown&quot;&gt;
              &lt;div class&#x3D;&quot;action-title section-title&quot;&gt;
                {{ &#x27;voting-material.notification.validate-voting-material-creation.title&#x27; | translate }}
              &lt;/div&gt;
              &lt;div class&#x3D;&quot;action-link&quot;&gt;
                &lt;a href&#x3D;&quot;{{pactLink}}&quot; target&#x3D;&quot;pact&quot; id&#x3D;&quot;validateCreationLink&quot;&gt;
                  &lt;mat-icon&gt;link&lt;/mat-icon&gt;
                  &lt;span&gt;{{ &#x27;voting-material.notification.validate-voting-material-creation.pact-link&#x27; | translate }}&lt;/span&gt;
                &lt;/a&gt;
              &lt;/div&gt;
            &lt;/div&gt;


          &lt;/mat-card-content&gt;

        &lt;/mat-card&gt;
      &lt;/div&gt;
    &lt;/ng-container&gt;

    &lt;ng-container *roles&#x3D;&quot;[&#x27;VALIDATE_VOTING_MATERIAL&#x27;]&quot;&gt;
      &lt;div *ngIf&#x3D;&quot;isValidationInfoDisplayed&quot; class&#x3D;&quot;notification notification--deployment&quot;&gt;
        &lt;mat-card&gt;
          &lt;mat-card-content fxLayout fxLayoutAlign&#x3D;&quot;space-between&quot;&gt;
            {{ &quot;voting-material.notification.validate-voting-material.message&quot; | translate}}

            &lt;div class&#x3D;&quot;actions&quot;&gt;
              &lt;button (click)&#x3D;&quot;validateVotingMaterial()&quot; mat-raised-button color&#x3D;&quot;primary&quot;
                      id&#x3D;&quot;validateVotingMaterialButton&quot;&gt;
                &lt;mat-icon&gt;playlist_add_check&lt;/mat-icon&gt;
                {{ &#x27;voting-material.notification.validate-voting-material.validate.button&#x27; | translate | uppercase }}
              &lt;/button&gt;
              &lt;div class&#x3D;&quot;external-action&quot;&gt;

                &lt;div class&#x3D;&quot;action-title section-title&quot;&gt;
                  {{ &#x27;voting-material.notification.validate-voting-material.invalidate.title&#x27; | translate }}
                &lt;/div&gt;
                &lt;div class&#x3D;&quot;action-link&quot;&gt;
                  &lt;a href&#x3D;&quot;{{pactLink}}&quot; target&#x3D;&quot;pact&quot; id&#x3D;&quot;invalidateLink&quot;&gt;
                    &lt;mat-icon&gt;link&lt;/mat-icon&gt;
                    &lt;span&gt;{{ &#x27;voting-material.notification.validate-voting-material.invalidate.pact-link&#x27; | translate }}&lt;/span&gt;
                  &lt;/a&gt;
                &lt;/div&gt;
              &lt;/div&gt;
            &lt;/div&gt;
          &lt;/mat-card-content&gt;
        &lt;/mat-card&gt;
      &lt;/div&gt;

      &lt;div *ngIf&#x3D;&quot;isInvalidationRequestedInfoDisplayed&quot; class&#x3D;&quot;notification notification--deployment&quot;&gt;
        &lt;mat-card&gt;
          &lt;mat-card-content fxLayout fxLayoutAlign&#x3D;&quot;space-between&quot;&gt;
            {{ &quot;voting-material.notification.confirm-voting-material-invalidation.message&quot; | translate}}

            &lt;div class&#x3D;&quot;actions&quot;&gt;
              &lt;div class&#x3D;&quot;external-action&quot;&gt;

                &lt;div class&#x3D;&quot;action-title section-title&quot;&gt;
                  {{ &#x27;voting-material.notification.confirm-voting-material-invalidation.title&#x27; | translate }}
                &lt;/div&gt;
                &lt;div class&#x3D;&quot;action-link&quot;&gt;
                  &lt;a href&#x3D;&quot;{{pactLink}}&quot; target&#x3D;&quot;pact&quot; id&#x3D;&quot;confirmInvalidateLink&quot;&gt;
                    &lt;mat-icon&gt;link&lt;/mat-icon&gt;
                    &lt;span&gt;{{ &#x27;voting-material.notification.confirm-voting-material-invalidation.pact-link&#x27; | translate }}&lt;/span&gt;
                  &lt;/a&gt;
                &lt;/div&gt;
              &lt;/div&gt;
            &lt;/div&gt;
          &lt;/mat-card-content&gt;
        &lt;/mat-card&gt;

      &lt;/div&gt;
    &lt;/ng-container&gt;


  &lt;/ng-container&gt;


&lt;/ng-container&gt;
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./voting-material-notification.component.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">.actions {
  display: flex;
  justify-content: space-around;
  button {
    margin-right: 2em;
  }
}

h2 {
  margin: 0;
}

.notification {
  margin-bottom: 2rem;
}

.error-icon {
  font-size: 3.4rem;
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><ng-container *ngIf="inModification">  <div class="notification notification--configuration-in-modification">    <mat-card>      <mat-card-content fxLayout fxLayoutGap="1rem">        {{ "voting-material.notification.info.configuration-in-modification" | translate}}      </mat-card-content>    </mat-card>  </div></ng-container><ng-container *ngIf="!inModification">  <div *ngIf="operationStatus.consistencyComputationInProgress"       class="notification notification--consistency-in-progress">    <mat-card>      <mat-card-content fxLayout fxLayoutGap="1rem">        <mat-icon>timelapse</mat-icon>        <span fxFlexAlign="center">{{ "voting-material.notification.info.consistency.in-progress" | translate}}</span>      </mat-card-content>    </mat-card>  </div>  <div *ngIf="operationStatus.votingMaterialConsistencyErrors.length > 0"       class="notification notification--consistency-errors">    <mat-card>      <mat-card-content fxLayout fxLayoutGap="2.5rem">        <mat-icon class="error-icon">warning</mat-icon>        <div fxLayout="column" fxFlex="1 1 auto">          <h2 class="error-title">{{ "voting-material.notification.info.consistency.errors" | translate}}</h2>          <ul>            <li *ngFor="let error of operationStatus.votingMaterialConsistencyErrors">              {{ error.errorKey | translate:error.errorsParameters}}            </li>          </ul>        </div>      </mat-card-content>    </mat-card>  </div>  <ng-container *ngIf="userBelongsToOperationManagementEntity">    <ng-container *roles="[\'DEPLOY_VOTING_MATERIAL\']">      <div *ngIf="isDeploymentInfoDisplayed" class="notification notification--deployment">        <mat-card>          <mat-card-content fxLayout fxLayoutAlign="space-between">            <span fxFlexAlign="center" *ngIf="isUploadButtonShown">{{ "voting-material.notification.upload-voting-material.message" | translate}}</span>            <span fxFlexAlign="center" *ngIf="isRequestVotingMaterialCreationShown">{{ "voting-material.notification.create-voting-material.message" | translate}}</span>            <span fxFlexAlign="center" *ngIf="isValidateVotingMaterialCreationShown">{{ "voting-material.notification.validate-voting-material.message" | translate}}</span>            <button *ngIf="isUploadButtonShown"                    (click)="uploadVotingMaterialConfiguration()"                    mat-raised-button                    color="primary"                    id="deploymentButton">              <mat-icon>playlist_add_check</mat-icon>              {{ \'voting-material.notification.upload-voting-material.button\' | translate | uppercase }}            </button>            <div class="external-action" *ngIf="isRequestVotingMaterialCreationShown">              <div class="action-title section-title">                {{ \'voting-material.notification.create-voting-material.title\' | translate }}              </div>              <div class="action-link">                <a href="{{pactLink}}" target="pact" id="createLink">                  <mat-icon>link</mat-icon>                  <span>{{ \'voting-material.notification.create-voting-material.pact-link\' | translate }}</span>                </a>              </div>            </div>            <div class="external-action" *ngIf="isValidateVotingMaterialCreationShown">              <div class="action-title section-title">                {{ \'voting-material.notification.validate-voting-material-creation.title\' | translate }}              </div>              <div class="action-link">                <a href="{{pactLink}}" target="pact" id="validateCreationLink">                  <mat-icon>link</mat-icon>                  <span>{{ \'voting-material.notification.validate-voting-material-creation.pact-link\' | translate }}</span>                </a>              </div>            </div>          </mat-card-content>        </mat-card>      </div>    </ng-container>    <ng-container *roles="[\'VALIDATE_VOTING_MATERIAL\']">      <div *ngIf="isValidationInfoDisplayed" class="notification notification--deployment">        <mat-card>          <mat-card-content fxLayout fxLayoutAlign="space-between">            {{ "voting-material.notification.validate-voting-material.message" | translate}}            <div class="actions">              <button (click)="validateVotingMaterial()" mat-raised-button color="primary"                      id="validateVotingMaterialButton">                <mat-icon>playlist_add_check</mat-icon>                {{ \'voting-material.notification.validate-voting-material.validate.button\' | translate | uppercase }}              </button>              <div class="external-action">                <div class="action-title section-title">                  {{ \'voting-material.notification.validate-voting-material.invalidate.title\' | translate }}                </div>                <div class="action-link">                  <a href="{{pactLink}}" target="pact" id="invalidateLink">                    <mat-icon>link</mat-icon>                    <span>{{ \'voting-material.notification.validate-voting-material.invalidate.pact-link\' | translate }}</span>                  </a>                </div>              </div>            </div>          </mat-card-content>        </mat-card>      </div>      <div *ngIf="isInvalidationRequestedInfoDisplayed" class="notification notification--deployment">        <mat-card>          <mat-card-content fxLayout fxLayoutAlign="space-between">            {{ "voting-material.notification.confirm-voting-material-invalidation.message" | translate}}            <div class="actions">              <div class="external-action">                <div class="action-title section-title">                  {{ \'voting-material.notification.confirm-voting-material-invalidation.title\' | translate }}                </div>                <div class="action-link">                  <a href="{{pactLink}}" target="pact" id="confirmInvalidateLink">                    <mat-icon>link</mat-icon>                    <span>{{ \'voting-material.notification.confirm-voting-material-invalidation.pact-link\' | translate }}</span>                  </a>                </div>              </div>            </div>          </mat-card-content>        </mat-card>      </div>    </ng-container>  </ng-container></ng-container></div>'
    var COMPONENTS = [{'name': 'ActionCardComponent', 'selector': 'action-card'},{'name': 'AdminCardsViewComponent', 'selector': 'admin-cards-view'},{'name': 'AdminComponent', 'selector': 'app-admin'},{'name': 'AdminEditViewComponent', 'selector': 'admin-edit-view'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'BallotDocumentationCardComponent', 'selector': 'ballot-documentation-card'},{'name': 'BallotDocumentationEditComponent', 'selector': ''},{'name': 'BaseCardComponent', 'selector': 'base-card'},{'name': 'BaseCreateComponent', 'selector': ''},{'name': 'BaseEditComponent', 'selector': ''},{'name': 'BusinessErrorDialogComponent', 'selector': 'app-business-error-dialog'},{'name': 'CardTitleCardComponent', 'selector': 'card-title-card'},{'name': 'CardTitleEditComponent', 'selector': 'card-title-edit'},{'name': 'CompletableCardComponent', 'selector': 'completable-card'},{'name': 'DashboardComponent', 'selector': ''},{'name': 'DefaultErrorsComponent', 'selector': 'default-errors'},{'name': 'DeploymentSummaryComponent', 'selector': 'deployment-summary'},{'name': 'DocumentCardComponent', 'selector': 'document-card'},{'name': 'DocumentEditComponent', 'selector': ''},{'name': 'DomainInfluenceCardComponent', 'selector': 'domain-influence-card'},{'name': 'DomainInfluenceEditComponent', 'selector': ''},{'name': 'DomainInfluenceGridComponent', 'selector': 'domain-influence-grid'},{'name': 'EditContentComponent', 'selector': 'edit-content'},{'name': 'EditLabelComponent', 'selector': 'edit-label'},{'name': 'EditWithSideBarComponent', 'selector': 'edit-with-side-bar'},{'name': 'ElectionDetailsComponent', 'selector': 'election-details'},{'name': 'ElectionDetailsElectoralListComponent', 'selector': 'election-details-electoral-lists'},{'name': 'ElectionDetailsTableComponent', 'selector': 'election-details-table'},{'name': 'ElectionPagePropertiesCardComponent', 'selector': 'election-page-properties-card'},{'name': 'ElectionPagePropertiesEditComponent', 'selector': 'election-page-properties-edit'},{'name': 'ElectionPagePropertiesMappingComponent', 'selector': 'election-page-properties-mapping'},{'name': 'ElectionPagePropertiesModelEditComponent', 'selector': 'election-page-properties-model-edit'},{'name': 'ElectionPagePropertiesModelListComponent', 'selector': 'election-page-properties-model-list'},{'name': 'ElectoralAuthorityKeyCardComponent', 'selector': 'electoral-authority-key-card'},{'name': 'ElectoralAuthorityKeyListComponent', 'selector': 'electoral-authority-key-list'},{'name': 'GroupedGridComponent', 'selector': 'grouped-grid'},{'name': 'HeaderComponent', 'selector': 'chvote-header'},{'name': 'HighlightedQuestionEditComponent', 'selector': 'highlighted-question-edit'},{'name': 'HighlightedQuestionListComponent', 'selector': 'highlighted-question-list'},{'name': 'KeyViewComponent', 'selector': 'key-view'},{'name': 'LocalizedHighlightedQuestionListComponent', 'selector': 'localized-highlighted-question-list'},{'name': 'LoginComponent', 'selector': ''},{'name': 'ManagementEntityCardComponent', 'selector': 'management-entity-card'},{'name': 'ManagementEntityEditComponent', 'selector': 'management-entity-edit'},{'name': 'ManagementEntityListComponent', 'selector': 'management-entity-list'},{'name': 'ManagementEntitySelectorComponent', 'selector': 'management-entity-selector'},{'name': 'MilestoneCardComponent', 'selector': 'milestone-card'},{'name': 'MilestoneEditComponent', 'selector': ''},{'name': 'ModelSelectorComponent', 'selector': 'election-page-bulk-update'},{'name': 'OperationListComponent', 'selector': 'operation-list'},{'name': 'OperationManagementComponent', 'selector': ''},{'name': 'ParametersComponent', 'selector': 'parameters'},{'name': 'ParametersEditComponent', 'selector': ''},{'name': 'ParametersNotificationComponent', 'selector': 'parameters-notification'},{'name': 'PrinterCardComponent', 'selector': 'printer-card'},{'name': 'PrinterEditComponent', 'selector': 'printer-edit'},{'name': 'PrinterViewComponent', 'selector': 'printer-view'},{'name': 'ProductionSummaryComponent', 'selector': 'production-summary'},{'name': 'RegisterCardComponent', 'selector': 'register-card'},{'name': 'RegisterListComponent', 'selector': 'register-list'},{'name': 'RegisterUploadComponent', 'selector': 'register-upload'},{'name': 'RepositoryCardComponent', 'selector': 'repository-card'},{'name': 'RepositoryEditComponent', 'selector': ''},{'name': 'SelectedElectoralAuthorityKeyCardComponent', 'selector': 'selected-electoral-authority-key-card'},{'name': 'SelectedElectoralAuthorityKeyEditComponent', 'selector': 'selected-electoral-authority-key-edit'},{'name': 'SideBarBackButtonComponent', 'selector': 'side-bar-back-button'},{'name': 'SideBarItemComponent', 'selector': 'side-bar-item'},{'name': 'SlideDetailsComponent', 'selector': 'slide-details'},{'name': 'SlideDetailsContentComponent', 'selector': 'slide-details-content'},{'name': 'SlideDetailsDetailsComponent', 'selector': 'slide-details-details'},{'name': 'SmallProgressSpinnerComponent', 'selector': 'small-progress-spinner'},{'name': 'TallyComponent', 'selector': 'tally'},{'name': 'TechnicalErrorDialogComponent', 'selector': 'app-technical-error-dialog'},{'name': 'TestingCardsLotCardComponent', 'selector': 'testing-cards-lot-card'},{'name': 'TestingCardsLotDetailsComponent', 'selector': 'testing-cards-lot-details'},{'name': 'TestingCardsLotListComponent', 'selector': 'testing-cards-lot-list'},{'name': 'TestingCardsLotSideBarItemComponent', 'selector': 'testing-cards-lot-side-bar-item'},{'name': 'TestSiteCardsDownloadButtonComponent', 'selector': 'test-site-cards-download-button'},{'name': 'TestSummaryComponent', 'selector': 'test-summary'},{'name': 'TextWithEditComponent', 'selector': 'text-with-edit'},{'name': 'UploadInputComponent', 'selector': 'upload-input'},{'name': 'VerificationCodeEditComponent', 'selector': 'verification-code-edit'},{'name': 'VotationDetailsComponent', 'selector': 'votation-details'},{'name': 'VotingMaterialComponent', 'selector': ''},{'name': 'VotingMaterialCreationProgressComponent', 'selector': 'voting-material-creation-progress'},{'name': 'VotingMaterialNotificationComponent', 'selector': 'voting-material-notification'},{'name': 'VotingPeriodComponent', 'selector': ''},{'name': 'VotingPeriodNotificationComponent', 'selector': 'voting-period-notification'},{'name': 'VotingSiteConfigurationCardComponent', 'selector': 'voting-site-configuration-card'},{'name': 'VotingSiteConfigurationComponent', 'selector': 'voting-site-configuration-edit'},{'name': 'VotingSitePeriodCardComponent', 'selector': 'voting-site-period-card'},{'name': 'VotingSitePeriodEditComponent', 'selector': 'voting-site-period-edit'},{'name': 'WaitingCover', 'selector': ''}];
    var DIRECTIVES = [{'name': 'CheckRolesDirective', 'selector': '[roles]'}];
    var ACTUAL_COMPONENT = {'name': 'VotingMaterialNotificationComponent'};
</script>
<script src="../js/tree.js"></script>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'VotingMaterialNotificationComponent.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
